<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="RTEvent_Serv_Static"
	ProjectGUID="{6A994D97-FECA-1BAD-2274-B37C1C310431}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Debug\RTEvent_Serv_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\..\lib\TAO_RTEvent_Servsd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_RTEvent_Servsd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Release\RTEvent_Serv_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_RTEvent_Servs.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="Event\EC_And_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Basic_Factory.cpp">
			</File>
			<File
				RelativePath="Event\EC_Basic_Filter_Builder.cpp">
			</File>
			<File
				RelativePath="Event\EC_Bitmask_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Channel_Destroyer.cpp">
			</File>
			<File
				RelativePath="Event\EC_Conjunction_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_ConsumerAdmin.cpp">
			</File>
			<File
				RelativePath="Event\EC_ConsumerControl.cpp">
			</File>
			<File
				RelativePath="Event\EC_Default_Factory.cpp">
			</File>
			<File
				RelativePath="Event\EC_Default_ProxyConsumer.cpp">
			</File>
			<File
				RelativePath="Event\EC_Default_ProxySupplier.cpp">
			</File>
			<File
				RelativePath="Event\EC_Disjunction_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Dispatching.cpp">
			</File>
			<File
				RelativePath="Event\EC_Dispatching_Task.cpp">
			</File>
			<File
				RelativePath="Event\EC_Event_Channel.cpp">
			</File>
			<File
				RelativePath="Event\EC_Event_Channel_Base.cpp">
			</File>
			<File
				RelativePath="Event\EC_Factory.cpp">
			</File>
			<File
				RelativePath="Event\EC_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Filter_Builder.cpp">
			</File>
			<File
				RelativePath="Event\EC_Gateway.cpp">
			</File>
			<File
				RelativePath="Event\EC_Gateway_IIOP.cpp">
			</File>
			<File
				RelativePath="Event\EC_Gateway_IIOP_Factory.cpp">
			</File>
			<File
				RelativePath="Event\EC_Group_Scheduling.cpp">
			</File>
			<File
				RelativePath="Event\EC_Lifetime_Utils.cpp">
			</File>
			<File
				RelativePath="Event\EC_Masked_Type_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_MT_Dispatching.cpp">
			</File>
			<File
				RelativePath="Event\EC_Negation_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Null_Factory.cpp">
			</File>
			<File
				RelativePath="Event\EC_Null_Scheduling.cpp">
			</File>
			<File
				RelativePath="Event\EC_ObserverStrategy.cpp">
			</File>
			<File
				RelativePath="Event\EC_Per_Supplier_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Prefix_Filter_Builder.cpp">
			</File>
			<File
				RelativePath="Event\EC_Proxy_Disconnector.cpp">
			</File>
			<File
				RelativePath="Event\EC_ProxyConsumer.cpp">
			</File>
			<File
				RelativePath="Event\EC_ProxySupplier.cpp">
			</File>
			<File
				RelativePath="Event\EC_QOS_Info.cpp">
			</File>
			<File
				RelativePath="Event\EC_Reactive_ConsumerControl.cpp">
			</File>
			<File
				RelativePath="Event\EC_Reactive_Dispatching.cpp">
			</File>
			<File
				RelativePath="Event\EC_Reactive_SupplierControl.cpp">
			</File>
			<File
				RelativePath="Event\EC_Reactive_Timeout_Generator.cpp">
			</File>
			<File
				RelativePath="Event\EC_Scheduling_Strategy.cpp">
			</File>
			<File
				RelativePath="Event\EC_Supplier_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Supplier_Filter_Builder.cpp">
			</File>
			<File
				RelativePath="Event\EC_SupplierAdmin.cpp">
			</File>
			<File
				RelativePath="Event\EC_SupplierControl.cpp">
			</File>
			<File
				RelativePath="Event\EC_Timeout_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Timeout_Generator.cpp">
			</File>
			<File
				RelativePath="Event\EC_TPC_Dispatching.cpp">
			</File>
			<File
				RelativePath="Event\EC_TPC_Dispatching_Task.cpp">
			</File>
			<File
				RelativePath="Event\EC_TPC_Factory.cpp">
			</File>
			<File
				RelativePath="Event\EC_TPC_ProxyConsumer.cpp">
			</File>
			<File
				RelativePath="Event\EC_TPC_ProxySupplier.cpp">
			</File>
			<File
				RelativePath="Event\EC_Trivial_Supplier_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_Type_Filter.cpp">
			</File>
			<File
				RelativePath="Event\EC_UDP_Admin.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Adapters.cpp">
			</File>
			<File
				RelativePath="Event\ECG_CDR_Message_Receiver.cpp">
			</File>
			<File
				RelativePath="Event\ECG_CDR_Message_Sender.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Complex_Address_Server.cpp">
			</File>
			<File
				RelativePath="Event\ECG_ConsumerEC_Control.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Mcast_EH.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Mcast_Gateway.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Reactive_ConsumerEC_Control.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Reconnect_ConsumerEC_Control.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Simple_Address_Server.cpp">
			</File>
			<File
				RelativePath="Event\ECG_Simple_Mcast_EH.cpp">
			</File>
			<File
				RelativePath="Event\ECG_UDP_EH.cpp">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Out_Endpoint.cpp">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Receiver.cpp">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Sender.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="Channel_Clients_T.h">
			</File>
			<File
				RelativePath="Event\EC_And_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Basic_Factory.h">
			</File>
			<File
				RelativePath="Event\EC_Basic_Filter_Builder.h">
			</File>
			<File
				RelativePath="Event\EC_Bitmask_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Busy_Lock.h">
			</File>
			<File
				RelativePath="Event\EC_Channel_Destroyer.h">
			</File>
			<File
				RelativePath="Event\EC_Conjunction_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_ConsumerAdmin.h">
			</File>
			<File
				RelativePath="Event\EC_ConsumerControl.h">
			</File>
			<File
				RelativePath="Event\EC_Default_Factory.h">
			</File>
			<File
				RelativePath="Event\EC_Default_ProxyConsumer.h">
			</File>
			<File
				RelativePath="Event\EC_Default_ProxySupplier.h">
			</File>
			<File
				RelativePath="Event\EC_Disjunction_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Dispatching.h">
			</File>
			<File
				RelativePath="Event\EC_Dispatching_Task.h">
			</File>
			<File
				RelativePath="Event\EC_Event_Channel.h">
			</File>
			<File
				RelativePath="Event\EC_Event_Channel_Base.h">
			</File>
			<File
				RelativePath="Event\EC_Factory.h">
			</File>
			<File
				RelativePath="Event\EC_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Filter_Builder.h">
			</File>
			<File
				RelativePath="Event\EC_Gateway.h">
			</File>
			<File
				RelativePath="Event\EC_Gateway_IIOP.h">
			</File>
			<File
				RelativePath="Event\EC_Gateway_IIOP_Factory.h">
			</File>
			<File
				RelativePath="Event\EC_Group_Scheduling.h">
			</File>
			<File
				RelativePath="Event\EC_Lifetime_Utils.h">
			</File>
			<File
				RelativePath="Event\EC_Lifetime_Utils_T.h">
			</File>
			<File
				RelativePath="Event\EC_Masked_Type_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_MT_Dispatching.h">
			</File>
			<File
				RelativePath="Event\EC_Negation_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Null_Factory.h">
			</File>
			<File
				RelativePath="Event\EC_Null_Scheduling.h">
			</File>
			<File
				RelativePath="Event\EC_ObserverStrategy.h">
			</File>
			<File
				RelativePath="Event\EC_Per_Supplier_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Prefix_Filter_Builder.h">
			</File>
			<File
				RelativePath="Event\EC_Proxy_Disconnector.h">
			</File>
			<File
				RelativePath="Event\EC_ProxyConsumer.h">
			</File>
			<File
				RelativePath="Event\EC_ProxySupplier.h">
			</File>
			<File
				RelativePath="Event\EC_QOS_Info.h">
			</File>
			<File
				RelativePath="Event\EC_Reactive_ConsumerControl.h">
			</File>
			<File
				RelativePath="Event\EC_Reactive_Dispatching.h">
			</File>
			<File
				RelativePath="Event\EC_Reactive_SupplierControl.h">
			</File>
			<File
				RelativePath="Event\EC_Reactive_Timeout_Generator.h">
			</File>
			<File
				RelativePath="Event\EC_Scheduling_Strategy.h">
			</File>
			<File
				RelativePath="Event\EC_Supplier_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Supplier_Filter_Builder.h">
			</File>
			<File
				RelativePath="Event\EC_SupplierAdmin.h">
			</File>
			<File
				RelativePath="Event\EC_SupplierControl.h">
			</File>
			<File
				RelativePath="Event\EC_Timeout_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Timeout_Generator.h">
			</File>
			<File
				RelativePath="Event\EC_TPC_Dispatching.h">
			</File>
			<File
				RelativePath="Event\EC_TPC_Dispatching_Task.h">
			</File>
			<File
				RelativePath="Event\EC_TPC_Factory.h">
			</File>
			<File
				RelativePath="Event\EC_TPC_ProxyConsumer.h">
			</File>
			<File
				RelativePath="Event\EC_TPC_ProxySupplier.h">
			</File>
			<File
				RelativePath="Event\EC_Trivial_Supplier_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_Type_Filter.h">
			</File>
			<File
				RelativePath="Event\EC_UDP_Admin.h">
			</File>
			<File
				RelativePath="Event\ECG_Adapters.h">
			</File>
			<File
				RelativePath="Event\ECG_CDR_Message_Receiver.h">
			</File>
			<File
				RelativePath="Event\ECG_CDR_Message_Sender.h">
			</File>
			<File
				RelativePath="Event\ECG_Complex_Address_Server.h">
			</File>
			<File
				RelativePath="Event\ECG_ConsumerEC_Control.h">
			</File>
			<File
				RelativePath="Event\ECG_Mcast_EH.h">
			</File>
			<File
				RelativePath="Event\ECG_Mcast_Gateway.h">
			</File>
			<File
				RelativePath="Event\ECG_Reactive_ConsumerEC_Control.h">
			</File>
			<File
				RelativePath="Event\ECG_Reconnect_ConsumerEC_Control.h">
			</File>
			<File
				RelativePath="Event\ECG_Simple_Address_Server.h">
			</File>
			<File
				RelativePath="Event\ECG_Simple_Mcast_EH.h">
			</File>
			<File
				RelativePath="Event\ECG_UDP_EH.h">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Out_Endpoint.h">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Receiver.h">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Sender.h">
			</File>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="TAO_RTEvent_Serv.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="Channel_Clients_T.i">
			</File>
			<File
				RelativePath="Event\EC_Basic_Filter_Builder.i">
			</File>
			<File
				RelativePath="Event\EC_Busy_Lock.i">
			</File>
			<File
				RelativePath="Event\EC_Default_Factory.i">
			</File>
			<File
				RelativePath="Event\EC_Dispatching_Task.i">
			</File>
			<File
				RelativePath="Event\EC_Event_Channel_Base.i">
			</File>
			<File
				RelativePath="Event\EC_Filter.i">
			</File>
			<File
				RelativePath="Event\EC_Filter_Builder.i">
			</File>
			<File
				RelativePath="Event\EC_Gateway_IIOP_Factory.i">
			</File>
			<File
				RelativePath="Event\EC_Group_Scheduling.inl">
			</File>
			<File
				RelativePath="Event\EC_Lifetime_Utils.i">
			</File>
			<File
				RelativePath="Event\EC_Lifetime_Utils_T.i">
			</File>
			<File
				RelativePath="Event\EC_Null_Scheduling.i">
			</File>
			<File
				RelativePath="Event\EC_ObserverStrategy.i">
			</File>
			<File
				RelativePath="Event\EC_Per_Supplier_Filter.i">
			</File>
			<File
				RelativePath="Event\EC_Prefix_Filter_Builder.i">
			</File>
			<File
				RelativePath="Event\EC_ProxyConsumer.i">
			</File>
			<File
				RelativePath="Event\EC_ProxySupplier.i">
			</File>
			<File
				RelativePath="Event\EC_QOS_Info.i">
			</File>
			<File
				RelativePath="Event\EC_Reactive_ConsumerControl.i">
			</File>
			<File
				RelativePath="Event\EC_Reactive_SupplierControl.i">
			</File>
			<File
				RelativePath="Event\EC_Supplier_Filter.i">
			</File>
			<File
				RelativePath="Event\EC_Timeout_Filter.i">
			</File>
			<File
				RelativePath="Event\EC_Timeout_Generator.i">
			</File>
			<File
				RelativePath="Event\EC_TPC_ProxySupplier.i">
			</File>
			<File
				RelativePath="Event\ECG_CDR_Message_Receiver.i">
			</File>
			<File
				RelativePath="Event\ECG_CDR_Message_Sender.i">
			</File>
			<File
				RelativePath="Event\ECG_Complex_Address_Server.i">
			</File>
			<File
				RelativePath="Event\ECG_Mcast_EH.i">
			</File>
			<File
				RelativePath="Event\ECG_Mcast_Gateway.i">
			</File>
			<File
				RelativePath="Event\ECG_Simple_Address_Server.i">
			</File>
			<File
				RelativePath="Event\ECG_UDP_EH.i">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Out_Endpoint.i">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Receiver.i">
			</File>
			<File
				RelativePath="Event\ECG_UDP_Sender.inl">
			</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="Channel_Clients_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Event\EC_Busy_Lock.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Event\EC_Lifetime_Utils_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
